TEMP-0921565-C5FF8E

NameTEMP-0921565-C5FF8E
Descriptionnetmask: buffer overflow vulnerability
SourceAutomatically generated temporary name. Not for external reference.
Debian Bugs921565

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
netmask (PTS)jessie2.3.12vulnerable
jessie (security)2.3.12+deb8u1fixed
stretch2.4.3-1vulnerable
buster, sid2.4.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
netmasksource(unstable)2.4.4-1unimportant921565
netmasksourcejessie2.3.12+deb8u1

Notes

https://github.com/tlby/netmask/issues/3
https://github.com/tlby/netmask/commit/29a9c239bd1008363f5b34ffd6c2cef906f3660c
No security impact due to toolchain hardening in stretch, negligable impact in older suites

Search for package or bug name: Reporting problems